shithub: duke3d

Download patch

ref: 41e355f21cf08ae5f5c1451f1d152e7625af6617
parent: dbe20121c7cf654e4baeae0844ec93744aac070d
author: Tanguy Fautre <[email protected]>
date: Fri Feb 14 19:01:12 EST 2020

Added Linux build scripts.

--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -2,11 +2,6 @@
 
 project(BelgianChocolateDuke3D)
 
-# On Linux, default to Release if not specified.
-if (UNIX AND NOT CMAKE_BUILD_TYPE)
-	set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Specifies the build type on single-configuration generators" FORCE)
-endif ()
-
 # Output everything into bin/ and lib/
 set(CMAKE_DEBUG_POSTFIX d)
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_SOURCE_DIR}/bin)
--- /dev/null
+++ b/build_linux.sh
@@ -1,0 +1,7 @@
+#!/bin/sh
+set -e
+
+mkdir --parents build/linux
+cd build/linux
+cmake -D CMAKE_BUILD_TYPE=Release -D VCPKG_TARGET_TRIPLET=x64-linux -D CMAKE_TOOLCHAIN_FILE=../vcpkg.linux/scripts/buildsystems/vcpkg.cmake ../..
+make -j
--- /dev/null
+++ b/vcpkg_linux.sh
@@ -1,0 +1,14 @@
+#!/bin/bash
+set -e
+
+mkdir -p build
+cd build
+git clone https://github.com/Microsoft/vcpkg.git vcpkg.linux
+cd vcpkg.linux
+git checkout 2020.01
+./bootstrap-vcpkg.sh
+
+./vcpkg install \
+	enet:x64-linux \
+	sdl2:x64-linux \
+	sdl2-mixer:x64-linux